# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit perl-module systemd

DESCRIPTION="The GLPI agent is a generic management agent"
HOMEPAGE="https://glpi-project.org/"
SRC_URI="https://github.com/glpi-project/glpi-agent/archive/refs/tags/1.4.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="
	dev-perl/libwww-perl
	dev-perl/File-Which
	dev-perl/Net-IP
	dev-perl/Text-Template
	dev-perl/UNIVERSAL-require
	dev-perl/XML-TreePP
	dev-perl/XML-XPath
	virtual/perl-IO-Compress
	virtual/perl-threads
	dev-perl/HTTP-Daemon
	dev-perl/IO-Socket-SSL
	dev-perl/LWP-Protocol-https
	dev-perl/Proc-Daemon
	dev-perl/Data-UUID
	dev-perl/Cpanel-JSON-XS
	dev-perl/DateTime
	dev-perl/IO-Capture
	dev-perl/Test-Compile
	dev-perl/Test-Deep
	dev-perl/Test-Exception
	dev-perl/Test-MockModule
	dev-perl/Test-MockObject
	dev-perl/Test-NoWarnings
	dev-perl/Parallel-ForkManager
	dev-perl/Net-SNMP
	dev-perl/IPC-Run
	dev-perl/HTTP-Server-Simple
"
RDEPEND="${DEPEND}"
BDEPEND="
	dev-perl/Module-Install
	dev-perl/File-Copy-Recursive
	app-portage/gentoolkit
"

PATCHES=( "${FILESDIR}/${P}-dirs.patch" )

src_prepare() {
	# gentoo has ip under /bin/ip and ifconfig under /bin/ifconfig
	sed \
		-e "s:/sbin/ifconfig:/bin/ifconfig:g" \
		-e "s:/sbin/ip:/bin/ip:g" \
		-i lib/GLPI/Agent/Task/Inventory/Linux/Networks.pm \
		-i lib/GLPI/Agent/Tools/Linux.pm || die
	default
}

src_install() {
	default
	systemd_dounit contrib/unix/glpi-agent.service
	newinitd "${FILESDIR}/${PN}.initd" ${PN}
	newconfd "${FILESDIR}/${PN}.confd" ${PN}
	keepdir /var/lib/glpiinventory
}
